<html>
<head>
<title>OgreRectangle2D.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRectangle2D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRectangle2D_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef _Rectangle2D_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define _Rectangle2D_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreSimpleRenderable_8h.html">OgreSimpleRenderable.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00049"></a><a class="code" href="classOgre_1_1Rectangle2D.html">00049</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl...">Rectangle2D</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1SimpleRenderable.html" title="Simple implementation of MovableObject and Renderable for single-part custom objects.">SimpleRenderable</a>
<a name="l00050"></a>00050     {
<a name="l00051"></a>00051     <span class="keyword">protected</span>:
<a name="l00054"></a>00054         <span class="keywordtype">void</span> getWorldTransforms( <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* xform ) <span class="keyword">const</span>;
<a name="l00055"></a>00055 
<a name="l00056"></a>00056         <span class="keywordtype">void</span> _initRectangle2D(<span class="keywordtype">bool</span> includeTextureCoords, <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">Ogre::HardwareBuffer::Usage</a> vBufUsage);
<a name="l00057"></a>00057 
<a name="l00058"></a>00058     <span class="keyword">public</span>:
<a name="l00059"></a>00059 
<a name="l00060"></a>00060         <a class="code" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl...">Rectangle2D</a>(<span class="keywordtype">bool</span> includeTextureCoordinates = <span class="keyword">false</span>, <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vBufUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c" title="Combination of HBU_DYNAMIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY</a>);
<a name="l00061"></a>00061         <a class="code" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl...">Rectangle2D</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> includeTextureCoordinates = <span class="keyword">false</span>, <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vBufUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c" title="Combination of HBU_DYNAMIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY</a>);
<a name="l00062"></a>00062         ~<a class="code" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl...">Rectangle2D</a>();
<a name="l00063"></a>00063 
<a name="l00073"></a>00073         <span class="keywordtype">void</span> setCorners(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> left, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> top, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> right, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bottom, <span class="keywordtype">bool</span> updateAABB = <span class="keyword">true</span>);
<a name="l00074"></a>00074 
<a name="l00077"></a>00077         <span class="keywordtype">void</span> setNormals(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Ogre::Vector3</a> &amp;topLeft, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Ogre::Vector3</a> &amp;bottomLeft, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Ogre::Vector3</a> &amp;topRight, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Ogre::Vector3</a> &amp;bottomRight);
<a name="l00078"></a>00078 
<a name="l00083"></a>00083         <span class="keywordtype">void</span> setUVs( <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Ogre::Vector2</a> &amp;topLeft, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Ogre::Vector2</a> &amp;bottomLeft,
<a name="l00084"></a>00084                      <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Ogre::Vector2</a> &amp;topRight, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Ogre::Vector2</a> &amp;bottomRight);
<a name="l00085"></a>00085 
<a name="l00086"></a>00086         <span class="keywordtype">void</span> setDefaultUVs();
<a name="l00087"></a>00087 
<a name="l00088"></a><a class="code" href="classOgre_1_1Rectangle2D.html#ac2929fd03989ca91ea28749bed43442a">00088</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSquaredViewDepth(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam)<span class="keyword"> const</span>
<a name="l00089"></a>00089 <span class="keyword">        </span>{ (void)cam; <span class="keywordflow">return</span> 0; }
<a name="l00090"></a>00090 
<a name="l00091"></a><a class="code" href="classOgre_1_1Rectangle2D.html#a353453384b7a57189c557ea3ef42a139">00091</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Rectangle2D.html#a353453384b7a57189c557ea3ef42a139" title="Retrieves the radius of the origin-centered bounding sphere for this object.">getBoundingRadius</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> 0; }
<a name="l00092"></a>00092 
<a name="l00093"></a>00093     };
<a name="l00097"></a>00097 }<span class="comment">// namespace</span>
<a name="l00098"></a>00098 
<a name="l00099"></a>00099 <span class="preprocessor">#endif</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span>
<a name="l00101"></a>00101 
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
